﻿@model IEnumerable<Cines.Models.Pelicula>
@Scripts.Render("~/bundles/jquery")

@{
    ViewBag.Title = "Index";
}
<style>
    a {
        text-align:right;
    }
</style>
<br />

<div class="container" style="text-align:center">
    <form action="/Peliculas/buscar" method="get" novalidate="novalidate">
        <div class="row">
            <div class="col-lg-12">
                <div class="row">
                    <div class="col-lg-3 col-md-3 col-sm-12 p-0">
                        <select class="form-control search-slt" id="cine" required name="cine">
                            @foreach(var c in ViewBag.Cines)
                            {
                                <option value="@c.Id">@c.Nombre</option>
                            }

                        </select>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-12 p-0">
                        <input type="text" class="form-control search-slt" placeholder="Ingrese Título/Actor/Tema" id="palabra" name="palabra">
                    </div>

                    <div class="col-lg-3 col-md-3 col-sm-12 p-0">
                        <button type="submit" class="btn btn-danger wrn-btn">BUSCAR</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
<br />
<hr />

<h2 style="text-align:center">Películas</h2>

<table class="table table-bordered" style="border-style:double;border-color:black">
    <tr>
        <th style="text-align:center;width:120px">
            Imagen
        </th>
        <th style="text-align:center">
            @Html.DisplayNameFor(model => model.Nombre)
        </th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                <img src="@Url.Content(item.ImageUrl)" alt="Image" height="180" width="120" />
            </td>
            <td style="vertical-align:middle;text-align:center">
                <a></a>
                <p style="font-weight:bold">@Html.ActionLink(item.Nombre, "Details", new { id = item.ID }, new {style="color:white" })</p>
                <p style="display:none">@Html.DisplayFor(modelItem => item.MyDiscriminator)</p>

            </td>

        </tr>
    }

</table>

<script>
    $('tr:contains("PeliculaComercial")').css("background-color", "#B32F13");
    $('tr:contains("PeliculaDocumental")').css("background-color", "#265D02");
</script>
